<detalle-administrador *ngIf="administradorSeleccionado" [administrador]="administradorSeleccionado">
</detalle-administrador>

<div class="card">
    <div class="body">
        <div class="container-fluid mb-3">

            <h1 style="text-align: center;">LISTADO DE ADMINISTRADORES</h1>


            <div class="container-fluid mb-3">
                <div class="row">
                    <div class="col">
                        <div *ngIf="authService.hasRole('ROLE_ADMIN')">
                            <button pButton type="button" label="Nuevo Administrador"
                                [routerLink]="['/administradores/form']"></button>
                        </div>
                    </div>
                    <div class="col" style="text-align: end;">
                        <div class="form-group">
                            <input type="text" style="width: 50%;" class="forms-control" placeholder="Buscar..."
                                [(ngModel)]="filterpost" name="filterpost" />
                        </div>
                    </div>
                </div>
            </div>

            <table class="table table-bordered table-striped ">
                <thead>
                    <tr style="color: white; text-align: center; text-decoration-line: underline; ">
                        <th>#</th>
                        <th>rut</th>
                        <th>nombre</th>
                        <th>apellidos</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="text-white" *ngFor="let administrador of administradores | filter: filterpost">
                        <td style="text-align: center;"> <img (click)="abrirModal(administrador)"
                                *ngIf="administrador?.foto"
                                src="http://localhost:8080/mfit/uploads/img/administradores/{{administrador.foto}}"
                                alt="{{administrador.foto}}" class="img-thumbnail rounded"
                                style="width: 64px; cursor: pointer;">

                            <img (click)="abrirModal(administrador)" *ngIf="!administrador?.foto"
                                src="http://localhost:8080/images/no-usuario.png" alt="sin foto"
                                class="img-thumbnail rounded" style="width: 64px; cursor: pointer;">
                        <td>{{administrador.rut}}</td>
                        <td>{{administrador.nombre | uppercase }}</td>
                        <td>{{administrador.apellidoPaterno | uppercase }} {{administrador.apellidoMaterno | uppercase
                            }}
                        </td>
                        <td style="text-align: center;" *ngIf="authService.hasRole('ROLE_ADMIN') ">
                            <button type="button" class="btn btn-primary btn-sm" name="botonEditar"
                                [routerLink]="['/administradores/form', administrador.id]"
                                class="btn btn-primary">Editar</button>
                        </td>
                        <td style="text-align: center;" *ngIf="authService.hasRole('ROLE_ADMIN') ">
                            <button type="button" name="botonEliminar" (click)='delete(administrador)'
                                class="btn btn-danger">Eliminar</button>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>

    </div>
</div>